USAGE:(1)

NAME
seekwatcher - utility to visualize block I/O patterns

SYNOPSIS
seekwatcher [options]

OPTIONS

-h, --help
    show this help message and exit

-d DEVICE, --device=DEVICE
    Device for blktrace

-D BLKTRACE_DESTINATION, --blktrace-destination=BLKTRACE_DESTINATION
    Destination for blktrace

-t TRACE, --trace=TRACE
    blktrace file

-p PROG, --prog=PROG
    exec program

--full-trace
    Don't filter blktrace events

-a ADJUST, --adjust=ADJUST
    Adjust plot placement: left=0.125,right=0.79,bottom=0.1,top=0.9,wspace=0.2,hspace=0.8

-c COLORS, --colors=COLORS
    List of colors to use in plot

-C COLUMNS, --columns=COLUMNS
    Number of columns for subplots

-z ZOOM, --zoom=ZOOM
    Zoom range min:max (in MB)

-x XZOOM, --xzoom=XZOOM
    Time range min:max (seconds)

-o OUTPUT, --output=OUTPUT
    output file

-l LABEL, --label=LABEL
    label

--dpi=DPI
    dpi

--io-graph-dots=IO_GRAPH_DOTS
    Disk IO dot style

--io-graph-marker-size=IO_GRAPH_MARKER_SIZE
    Disk IO dot size

--io-graph-cell-multi=IO_GRAPH_CELL_MULTI
    Multiplier for cells

-O ONLY_GRAPH, --only-graph=ONLY_GRAPH
    Add a single graph to the output (io, tput, seek, iops, stats)

-N NO_GRAPH, --no-graph=NO_GRAPH
    Remove a single graph (io, tput, seek, iops, stats)

-s, --only-io-graph-seeks
    Only plot seeks on the IO graph

-r ROLLING_AVG, --rolling-avg=ROLLING_AVG
    Rolling average for seeks and throughput (in seconds)

-i, --interactive
    Use matplotlib interactive

--backend=BACKEND
    matplotlib backend (Qt4Agg, TkAgg, GTKAgg) case sensitive

-T TITLE, --title=TITLE
    Graph Title

-R, --reads-only
    Graph only reads

-W, --writes-only
    Graph only writes

-F FIGURE_SIZE, --figure-size=FIGURE_SIZE
    Figure size (8x6)

-P, --tag-process
    Tag IO graph by process

-M MERGE, --merge=MERGE
    Merge process pids for a process

--legend=LEGEND
    Legend position 1.01,0.5

--legend-columns=LEGEND_COLUMNS
    Legend columns

-m, --movie
    Generate an IO movie

--movie-frames=MOVIE_FRAMES
    Number of frames per second

--movie-length=MOVIE_LENGTH
    Movie length in seconds

--movie-cell-size=MOVIE_CELL_SIZE
    Size in pixels of the IO cells

--movie-vbitrate=MOVIE_VBITRATE
    Mencoder vbitrate option (default 16000)

SEE ALSO
Examples of usage in /usr/share/doc/seekwatcher/README.html